Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 617996 (CVE-2017-7595) - <media-libs/tiff-4.0.8: divide-by-zero in JPEGSetupEncode (tiff_jpeg.c)
Summary: <media-libs/tiff-4.0.8: divide-by-zero in JPEGSetupEncode (tiff_jpeg.c)
Status: RESOLVED FIXED
Alias: CVE-2017-7595
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://blogs.gentoo.org/ago/2017/04/...
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: CVE-2017-7592, CVE-2017-7593, CVE-2017-7594
Blocks:
  Show dependency tree
 
Reported: 2017-05-09 18:01 UTC by Agostino Sarubbo
Modified: 2017-09-26 22:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-05-09 18:01:46 UTC
Details at $URL.


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev Security 2017-05-16 05:59:49 UTC
CVE ID: CVE-2017-7595
   Summary: The JPEGSetupEncode function in tiff_jpeg.c in LibTIFF 4.0.7 allows remote attackers to cause a denial of service (divide-by-zero error and application crash) via a crafted image.
 Published: 2017-04-09T14:59:00.000Z
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-05-24 09:16:35 UTC
Fixed in v4.0.8 via https://github.com/vadz/libtiff/commit/47f2fb61a3a64667bce1a8398a8fcb1b348ff122
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-09-26 22:11:54 UTC
This issue was resolved and addressed in
 GLSA 201709-27 at https://security.gentoo.org/glsa/201709-27
by GLSA coordinator Aaron Bauman (b-man).